<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class EvaluationScore extends Model
{
    protected $fillable = ['evaluation_id','criteria_id','score','comments'];

    public function evaluation() { return $this->belongsTo(PerformanceEvaluation::class); }
    public function criterion()  { return $this->belongsTo(EvaluationCriteria::class, 'criteria_id'); }
}
